package com.mosty.base.manager.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.qwzx.AppSearchQuery;
import com.mosty.base.model.entity.jcgl.TbJcglJyqx;
import com.mosty.base.model.query.jcgl.TbJcglJyqxQuery;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface TbJcglJyqxService {

    void addJyqx(TbJcglJyqx tbJcglJyqx);

    void xfZnzb(TbJcglJyqx tbJcglJyqx);

    void htZnzb(String id,long sl);

    void bsZnzb(String id,long sl);

    IPage<TbJcglJyqx> selectJyqx(TbJcglJyqx tbJcglJyqx, IPage<TbJcglJyqx> page);

    void updateJyqx(TbJcglJyqx tbJcglJyqx);

    void deleteJyQxzb(List<String> id);

    Object selectJyqxXq(String id);

    IPage<TbJcglJyqx> selectDqjyqx(TbJcglJyqxQuery tbJcglJyqx, IPage<TbJcglJyqx> page);

    @ApiOperation("app查询警用器械信息")
    IPage<TbJcglJyqx> getJyqxList(AppSearchQuery dto);


    @ApiOperation("导入警用器械")
    String importData(List<TbJcglJyqx> jyqxList,boolean updateSupport);
}
